osdir.com

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Beam Dependency Check Report (2018-12-03)


High Priority Dependency Updates Of Beam Python SDK:

Dependency Name Current Version Latest Version Release Date Of the Current Used Version Release Date Of The Latest Release JIRA Issue
future 0.16.0 0.17.1 2016-10-27 2018-10-31BEAM-5968
google-cloud-pubsub 0.35.4 0.39.0 2018-06-06 2018-11-27BEAM-5539
oauth2client 3.0.0 4.1.3 2016-07-28 2018-09-07BEAM-6089
pytz 2018.4 2018.7 2018-04-10 2018-10-29BEAM-5893

High Priority Dependency Updates Of Beam Java SDK:

Dependency Name Current Version Latest Version Release Date Of the Current Used Version Release Date Of The Latest Release JIRA Issue
com.rabbitmq:amqp-client 4.6.0 5.5.1 2018-03-26 2018-11-29BEAM-5895
org.apache.rat:apache-rat-tasks 0.12 0.13 2016-06-07 2018-10-13BEAM-6039
com.google.auto.service:auto-service 1.0-rc2 1.0-rc4 2014-10-25 2017-12-11BEAM-5541
com.gradle:build-scan-plugin 1.13.1 2.0.2 2018-04-10 2018-11-12BEAM-5543
org.conscrypt:conscrypt-openjdk 1.1.3 1.4.1 2018-06-04 2018-11-01BEAM-5748
org.elasticsearch:elasticsearch 6.4.0 7.0.0-alpha1 2018-08-18 2018-11-13BEAM-6090
org.elasticsearch:elasticsearch-hadoop 5.0.0 7.0.0-alpha1 2016-10-26 2018-11-13BEAM-5551
org.elasticsearch.client:elasticsearch-rest-client 6.4.0 7.0.0-alpha1 2018-08-18 2018-11-13BEAM-6091
org.elasticsearch.test:framework 6.4.0 7.0.0-alpha1 2018-08-18 2018-11-13BEAM-6092
io.grpc:grpc-auth 1.13.1 1.16.1 2018-06-21 2018-10-26BEAM-5896
io.grpc:grpc-context 1.13.1 1.16.1 2018-06-21 2018-10-26BEAM-5897
io.grpc:grpc-core 1.13.1 1.16.1 2018-06-21 2018-10-26BEAM-5898
io.grpc:grpc-netty 1.13.1 1.16.1 2018-06-21 2018-10-26BEAM-5899
io.grpc:grpc-protobuf 1.13.1 1.16.1 2018-06-21 2018-10-26BEAM-5900
io.grpc:grpc-stub 1.13.1 1.16.1 2018-06-21 2018-10-26BEAM-5901
io.grpc:grpc-testing 1.13.1 1.16.1 2018-06-21 2018-10-26BEAM-5902
com.google.code.gson:gson 2.7 2.8.5 2016-06-14 2018-05-22BEAM-5558
org.apache.hbase:hbase-common 1.2.6 2.1.1 2017-05-29 2018-10-27BEAM-5560
org.apache.hbase:hbase-hadoop-compat 1.2.6 2.1.1 2017-05-29 2018-10-27BEAM-5561
org.apache.hbase:hbase-hadoop2-compat 1.2.6 2.1.1 2017-05-29 2018-10-27BEAM-5562
org.apache.hbase:hbase-server 1.2.6 2.1.1 2017-05-29 2018-10-27BEAM-5563
org.apache.hbase:hbase-shaded-client 1.2.6 2.1.1 2017-05-29 2018-10-27BEAM-5564
org.apache.hive:hive-cli 2.1.0 3.1.1 2016-06-17 2018-10-24BEAM-5566
org.apache.hive:hive-common 2.1.0 3.1.1 2016-06-17 2018-10-24BEAM-5567
org.apache.hive:hive-exec 2.1.0 3.1.1 2016-06-17 2018-10-24BEAM-5568
org.apache.hive.hcatalog:hive-hcatalog-core 2.1.0 3.1.1 2016-06-17 2018-10-24BEAM-5569
net.java.dev.javacc:javacc 4.0 7.0.4 2006-03-17 2018-09-17BEAM-5570
javax.servlet:javax.servlet-api 3.1.0 4.0.1 2013-04-25 2018-04-20BEAM-5750
redis.clients:jedis 2.9.0 3.0.0-rc1 2016-07-22 2018-12-02BEAM-6125
org.eclipse.jetty:jetty-server 9.2.10.v20150310 9.4.14.v20181114 2015-03-10 2018-11-14BEAM-5752
org.eclipse.jetty:jetty-servlet 9.2.10.v20150310 9.4.14.v20181114 2015-03-10 2018-11-14BEAM-5753
net.java.dev.jna:jna 4.1.0 5.1.0 2014-03-06 2018-11-14BEAM-5573
junit:junit 4.12 4.13-beta-1 2014-12-04 2018-11-25BEAM-6127
com.esotericsoftware:kryo 4.0.2 5.0.0-RC1 2018-03-20 2018-06-19BEAM-5809
com.esotericsoftware.kryo:kryo 2.21 2.24.0 2013-02-27 2014-05-04BEAM-5574
org.apache.kudu:kudu-client 1.4.0 1.8.0 2017-06-05 2018-10-16BEAM-5575
io.dropwizard.metrics:metrics-core 3.1.2 4.1.0-rc2 2015-04-26 2018-05-03BEAM-5576
io.grpc:protoc-gen-grpc-java 1.13.1 1.16.1 2018-06-21 2018-10-26BEAM-5903
org.apache.qpid:proton-j 0.13.1 0.31.0 2016-07-02 2018-11-23BEAM-5582
org.apache.qpid:qpid-broker 0.28 7.0.6 2014-05-27 2018-06-19BEAM-5904
org.apache.qpid:qpid-broker-core 0.28 7.0.6 2014-05-27 2018-06-19BEAM-5905
org.apache.samza:samza-api 0.14.1 1.0.0 2018-05-18 2018-11-01BEAM-6041
org.apache.samza:samza-core_2.11 0.14.1 1.0.0 2018-05-18 2018-11-01BEAM-6042
org.apache.samza:samza-kafka_2.11 0.14.1 1.0.0 2018-05-18 2018-11-01BEAM-6043
org.apache.samza:samza-kv-inmemory_2.11 0.14.1 1.0.0 2018-05-18 2018-11-01BEAM-6044
org.apache.samza:samza-kv-rocksdb_2.11 0.14.1 1.0.0 2018-05-18 2018-11-01BEAM-6045
org.apache.samza:samza-kv_2.11 0.14.1 1.0.0 2018-05-18 2018-11-01BEAM-6046
org.apache.solr:solr-core 5.5.4 7.5.0 2017-02-14 2018-09-22BEAM-5589
org.apache.solr:solr-solrj 5.5.4 7.5.0 2017-02-14 2018-09-22BEAM-5590
org.apache.solr:solr-test-framework 5.5.4 7.5.0 2017-02-14 2018-09-22BEAM-5591
com.diffplug.spotless:spotless-plugin-gradle 3.7.0 3.16.0 2017-12-02 2018-10-31BEAM-5592
org.elasticsearch.client:transport 5.0.0 7.0.0-alpha1 2016-10-26 2018-11-13BEAM-5595
org.elasticsearch.plugin:transport-netty4-client 6.4.0 7.0.0-alpha1 2018-08-18 2018-11-13BEAM-6093

A dependency update is high priority if it satisfies one of following criteria:

  • It has major versions update available, e.g. org.assertj:assertj-core 2.5.0 -> 3.10.0;
  • It is over 3 minor versions behind the latest version, e.g. org.tukaani:xz 1.5 -> 1.8;
  • The current version is behind the later version for over 180 days, e.g. com.google.auto.service:auto-service 2014-10-24 -> 2017-12-11.

In Beam, we make a best-effort attempt at keeping all dependencies up-to-date. In the future, issues will be filed and tracked for these automatically, but in the meantime you can search for existing issues or open a new one.

For more information: Beam Dependency Guide